Bug 54617 - failed to compile kernel 2.4.11/2.4.12
Summary: failed to compile kernel 2.4.11/2.4.12
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: athlon
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-13 20:08 UTC by Fortepianissimo
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 00:34:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
original test case with preprocessor lines removed (60.57 KB, application/x-gzip)
2004-10-02 00:33 UTC, Richard Henderson
no flags Details
Comment (408.07 KB, text/plain)
2001-10-17 17:11 UTC, Fortepianissimo
no flags Details

Description Fortepianissimo 2001-10-13 20:08:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010918

Description of problem:
Compiling kernel 2.4.11/2.4.12 with -O6 stopped at smbfs, causing an
"Unrecognizable insn" (the excerpt error log is attached below).
It should be noted the compiler I used is rebuilt from the src rpm
downloaded from the rawhide FTP site, using -O6 -march=athlon.
The same compiler compiled kernel 2.4.10 with the same configuration
successfully.


Version-Release number of selected component (if applicable):
gcc-2.96-99.src.rpm (rebuilt from this src rpm with -O6 -march=athlon)

How reproducible:
Always

Steps to Reproduce:
1. Include smbfs in configuration, with arch=athlon. Modify kernel Makefile
to -O6.
2. make bzImage modules
3. The error occurs when compiling proc.c under linux/fs/smbfs
	

Actual Results:  make -C smbfs modules
make[2]: Entering directory `/usr/src/linux-2.4.11/fs/smbfs'
gcc -D__KERNEL__ -I/usr/src/linux-2.4.11/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O6 -fomit-frame-pointer -fno-strict-aliasing -fno-common
-pipe -mpreferred-stack-boundary=2 -march=athlon  -DMODULE -DMODVERSIONS
-include /usr/src/linux-2.4.11/include/linux/modversions.h -DSMBFS_PARANOIA
-c -o proc.o proc.c
proc.c: In function `smb_decode_long_dirent':
proc.c:1802: Unrecognizable insn:
(insn/i 431 918 912 (parallel[
            (set (reg:SI 0 eax)
                (asm_operands ("") ("=a") 0[
                        (reg:DI 1 edx)
                    ]
                    [
                        (asm_input:DI ("A"))
                    ]  ("proc.c") 378))
            (set (reg:SI 1 edx)
                (asm_operands ("") ("=d") 1[
                        (reg:DI 1 edx)
                    ]
                    [
                        (asm_input:DI ("A"))
                    ]  ("proc.c") 378))
            (clobber (reg:QI 19 dirflag))
            (clobber (reg:QI 18 fpsr))
            (clobber (reg:QI 17 flags))
        ] ) -1 (insn_list 429 (nil))
    (nil))
proc.c:1802: confused by earlier errors, bailing out
make[2]: *** [proc.o] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.11/fs/smbfs'
make[1]: *** [_modsubdir_smbfs] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.11/fs'
make: *** [_mod_fs] Error 2



Additional info:

Comment 1 Jakub Jelinek 2001-10-17 11:22:50 UTC
Is this reproduceable?
If yes, can you provide proc.i, created by -save-temps:
gcc -D__KERNEL__ -I/usr/src/linux-2.4.11/include -Wall -Wstrict-prototypes -Wno-trigraphs -O6 -fomit-frame-pointer -fno-strict-aliasing -fno-common -mpreferred-stack-boundary=2 -march=athlon  -DMODULE -DMODVERSIONS -include /usr/src/linux-2.4.11/include/linux/modversions.h -DSMBFS_PARANOIA -c -o proc.o proc.c -save-temps
? Thanks.

Comment 2 Fortepianissimo 2001-10-17 17:11:38 UTC
Created attachment 915080 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 3 Fortepianissimo 2001-10-24 13:41:14 UTC
This also happened with kernel 2.4.13. I've downgraded my ATM to:

autoconf-2.13-14
automake-1.4p5-2
libtool-1.4-8

Comment 4 Richard Henderson 2004-10-02 00:33:41 UTC
Created attachment 104658 [details]
original test case with preprocessor lines removed

Comment 5 Richard Henderson 2004-10-02 00:34:40 UTC
Fixed as of gcc 3.2.


Note You need to log in before you can comment on or make changes to this bug.